<?php
/**
 * Template part for displaying page header for single post.
 *
 * @package     Business Interface
 * @author  WPInterface Team
 * @since   1.0.0
 */

?>

<div <?php business_interface_page_header_classes(); ?><?php business_interface_page_header_atts(); ?>>

	<?php do_action( 'business_interface_page_header_start' ); ?>

	<?php if ( 'in-page-header' === business_interface_option( 'single_title_position' ) ) { ?>

		<div class="interface-container">
			<div class="si-page-header-wrapper">

				<?php
				if ( business_interface_single_post_displays( 'category' ) ) {
					get_template_part( 'template-parts/entry/entry', 'category' );
				}

				if ( business_interface_page_header_has_title() ) {
					echo '<div class="si-page-header-title">';
					business_interface_page_header_title();
					echo '</div>';
				}

				if ( business_interface_has_entry_meta_elements() ) {
					get_template_part( 'template-parts/entry/entry', 'meta' );
				}
				?>

			</div>
		</div>

	<?php } ?>

	<?php do_action( 'business_interface_page_header_end' ); ?>

</div>
